<?php

	require_once(TOOLKIT . '/class.datasource.php');
	
	Class datasourceissue_issue_messages extends Datasource{
		
		public $dsParamROOTELEMENT = 'issue-issue-messages';
		public $dsParamORDER = 'asc';
		public $dsParamLIMIT = '999';
		public $dsParamREDIRECTONEMPTY = 'no';
		public $dsParamSORT = 'date';
		public $dsParamSTARTPAGE = '1';
		public $dsParamASSOCIATEDENTRYCOUNTS = 'no';
		
		public $dsParamFILTERS = array(
				'55' => '{$ds-issue-issue}',
		);
		
		public $dsParamINCLUDEDELEMENTS = array(
				'description: formatted',
				'date',
				'file',
				'creator',
				'priority',
				'category',
				'assignee',
				'milestone',
				'status',
				'issue'
		);

		public function __construct(&$parent, $env=NULL, $process_params=true){
			parent::__construct($parent, $env, $process_params);
			$this->_dependencies = array('$ds-issue-issue');
		}
		
		public function about(){
			return array(
					 'name' => 'Issue Issue Messages',
					 'author' => array(
							'name' => 'Nils Werner',
							'website' => 'http://trac.obsessive-media.de.localhost',
							'email' => 'nils.werner@gmail.com'),
					 'version' => '1.0',
					 'release-date' => '2010-02-13T13:29:26+00:00');	
		}
		
		public function getSource(){
			return '13';
		}
		
		public function allowEditorToParse(){
			return true;
		}
		
		public function grab(&$param_pool=NULL){
			$result = new XMLElement($this->dsParamROOTELEMENT);
				
			try{
				include(TOOLKIT . '/data-sources/datasource.section.php');
			}
			catch(FrontendPageNotFoundException $e){
				// Work around. This ensures the 404 page is displayed and
				// is not picked up by the default catch() statement below
				FrontendPageNotFoundExceptionHandler::render($e);
			}			
			catch(Exception $e){
				$result->appendChild(new XMLElement('error', $e->getMessage()));
				return $result;
			}	

			if($this->_force_empty_result) $result = $this->emptyXMLSet();
			return $result;
		}
	}

